{ config, ... }:
{
  programs.wlogout = {
    enable = true;
    layout = [
      {
        label = "lock";
        # action = "waylock -f -i ${config.home.homeDirectory}/photos/wallpapers/wallpaper.png";
        action = "swaylock";
        text = "lock";
        keybind = "l";
      }
      {
        label = "shutdown";
        action = "systemctl poweroff";
        text = "Shutdown";
        keybind = "s";
      }
      {
        label = "reboot";
        action = "systemctl reboot";
        text = "Reboot";
        keybind = "r";
      }
      {
        label = "logout";
        action = "loginctl terminate-user $USER";
        text = "Log out";
        keybind = "e";
      }
    ];
  };
}